1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Confusion about WRE54G firmware

Discussion in 'Other Linksys Equipment' started by nwnntwrk, Oct 9, 2005.

  1. nwnntwrk

    nwnntwrk Guest

    I am using a WRT54G router with WPA-PSK for a long time. Due to bad signal at a few spots I started te use a WRE54G.

    The WRE user guide mentioned only WEP support, but with new firmware WPA is possible. After downgrading the security to WEP all network (both WRT and WRE) is working fine.

    At the linksys site and in several forums I found firmware 1.04.17 supports WPA. But ..........

    The expander gives me a firmware status: v1.05.08, Sep 22, 2004 ,ETSI. :( This leaves me with the following questions:
    Is 1.04.17 really the latest
    Is 1.04.17 working with the European channels

    Did somebody experianced the same confusing situation or can somebody give me more information about this?

    Many thanks

Share This Page